.\"
.\" Copyright (c) 1994 Jason R. Thorpe
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"	This product includes software developed by Jason Thorpe.
.\" 4. Neither the name of the author nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\" $FreeBSD: src/usr.sbin/ypset/ypset.8,v 1.1.2.3 1999/09/05 11:41:39 peter Exp $
.\"
.Dd October 25, 1994
.Dt YPSET 8
.Os
.Sh NAME
.Nm ypset
.Nd tell
.Xr ypbind 8
which YP server process to use
.Sh SYNOPSIS
.Nm ypset
.Op Fl h Ar host
.Op Fl d Ar domain
.Ar server
.Sh DESCRIPTION
.Nm Ypset
tells the
.Xr ypbind 8
process on the current machine which YP server process to communicate with.
If
.Ar server
is down or is not running a YP server process, it is not discovered until
a YP client process attempts to access a YP map, at which time
.Xr ypbind 8
tests the binding and takes appropriate action.
.Pp
.Nm Ypset
is most useful for binding a YP client that is not on the same broadcast
network as the closest YP server, but can also be used for debugging
a local network's YP configuration, testing specific YP client
programs, or binding to a specific server when there are many servers on
the local network supplying YP maps.
.Pp
The options are as follows:
.Bl -tag -width indent
.It Fl h Ar host
Set the YP binding on
.Ar host
instead of the local machine.
.It Fl d Ar domain
Use the YP domain
.Ar domain
instead of the default domain as returned by
.Xr domainname 1 .
.El
.Sh SEE ALSO
.Xr domainname 1 ,
.Xr ypcat 1 ,
.Xr ypmatch 1 ,
.Xr yp 4 ,
.Xr ypbind 8
.Sh AUTHOR
.An Theo De Raadt
